Bug 798014 - Review Request: trac-advancedticketworkflow-plugin - Advanced workflow operations Trac plugin
Summary: Review Request: trac-advancedticketworkflow-plugin - Advanced workflow operat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-27 20:23 UTC by Tom "spot" Callaway
Modified: 2012-04-12 03:35 UTC (History)
3 users (show)

Fixed In Version: trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-31 03:19:43 UTC
Type: ---
cwickert: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2012-02-27 20:23:14 UTC
Spec URL: http://spot.fedorapeople.org/trac-advancedticketworkflow-plugin.spec
SRPM URL: http://spot.fedorapeople.org/trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc17.src.rpm
Description: 
A Trac plugin which provides a number of advanced operations for customizable
workflows that are similar to the operations provided in the customizeable
workflow of the core Trac system.

Comment 1 Christoph Wickert 2012-02-29 22:19:50 UTC
I'll review this.

Comment 2 Christoph Wickert 2012-03-03 22:53:55 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define python_sitelib %(%{__python} -c "from distutils.sysconfig
     import get_python_lib; print get_python_lib()")}

... this is in line with our Python packaging guidelines.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[!]: MUST Rpmlint output is silent.


rpmlint trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc18.noarch.rpm

trac-advancedticketworkflow-plugin.noarch: W: spelling-error Summary(en_US) workflow -> work flow, work-flow, workforce
trac-advancedticketworkflow-plugin.noarch: W: spelling-error %description -l en_US customizable -> customization
trac-advancedticketworkflow-plugin.noarch: W: spelling-error %description -l en_US workflows -> work flows, work-flows, workloads
trac-advancedticketworkflow-plugin.noarch: W: spelling-error %description -l en_US customizeable -> customize able, customize-able, customize
trac-advancedticketworkflow-plugin.noarch: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
trac-advancedticketworkflow-plugin.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 6 warnings.


rpmlint trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc18.src.rpm

trac-advancedticketworkflow-plugin.src: W: spelling-error Summary(en_US) workflow -> work flow, work-flow, workforce
trac-advancedticketworkflow-plugin.src: W: spelling-error %description -l en_US customizable -> customization
trac-advancedticketworkflow-plugin.src: W: spelling-error %description -l en_US workflows -> work flows, work-flows, workloads
trac-advancedticketworkflow-plugin.src: W: spelling-error %description -l en_US customizeable -> customize able, customize-able, customize
trac-advancedticketworkflow-plugin.src: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
trac-advancedticketworkflow-plugin.src: W: invalid-url Source0: trac-advancedticketworkflow-plugin-0.11.svn9962.tar.gz
1 packages and 0 specfiles checked; 0 errors, 6 warnings.


All the issues are save to ignore.

The versioning is a little confusing: version 0.10 of the plugin is for trac 0.11 and version 0.11 for trac 0.12. There is nothing we can do about it (other than changing the comment in the spec) and you packaged the right version.

Package is APPROVED.

Comment 3 Christoph Wickert 2012-03-14 18:57:20 UTC
New Package SCM Request
=======================
Package Name: trac-advancedticketworkflow-plugin
Short Description: Advanced workflow operations Trac plugin
Owners: spot cwickert
Branches: f15 f16 f17 el6
InitialCC:

Comment 4 Gwyn Ciesla 2012-03-14 19:06:45 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-03-19 20:28:51 UTC
trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc15

Comment 6 Fedora Update System 2012-03-19 20:29:01 UTC
trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc17

Comment 7 Fedora Update System 2012-03-19 20:29:10 UTC
trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.el6

Comment 8 Fedora Update System 2012-03-19 20:29:40 UTC
trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc16

Comment 9 Fedora Update System 2012-03-20 06:05:41 UTC
trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc17 has been pushed to the Fedora 17 testing repository.

Comment 10 Fedora Update System 2012-03-31 03:19:43 UTC
trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2012-03-31 03:21:34 UTC
trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc16 has been pushed to the Fedora 16 stable repository.

Comment 12 Fedora Update System 2012-04-05 03:05:05 UTC
trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 13 Fedora Update System 2012-04-12 03:35:52 UTC
trac-advancedticketworkflow-plugin-0.11-1.20120227svn9962.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.